Products

Fetch the product for the given id or the list of products available to you.

Get Products

Get Products

get

Fetch the list of products.

Responses
chevron-right
200

OK

application/json

A bookable product listed by a supplier.

idstringRequired

The id used for checking for availability and creating bookings for the product. This MUST be unique within the scope of the Supplier.

Example: 6b903d44-dc24-4ca4-ae71-6bde6c4f4854
internalNamestringRequired

The name the supplier calls the product.

Example: Amazon River Tour
referencestring · nullableRequired

An optional code this supplier might use to identify the product.

Example: AMZN
localestringRequired

A language code indicating what language this product content is in. This MUST be a valid BCP 47 RFC 5646 RFC 4647 language tag.

Example: en-GB
timeZonestringOptional

The IANA TimeZone name this product is located in.

Example: Europe/London
allowFreesalebooleanRequired

Whether a booking can be made for this product without having to query availability first.

instantConfirmationbooleanRequired

Whether bookings will be immediately confirmed when a sale is made, otherwise the supplier will later either accept or reject the booking. When instantConfirmation is set to false one should expect created bookings to first get into a PENDING state.

instantDeliverybooleanRequired

This indicates whether the Reseller can expect immediate delivery of the customer's tickets. If false then the Reseller MUST be able to delay delivery of the tickets to the customer.

availabilityRequiredbooleanRequired

Whether an availabilityId is required when creating a booking. Without this the booking will be open-dated and not have a specified travel date.

availabilityTypestring · enumRequired

What type of availability this product has, possible values are: START_TIME if there are fixed departure times which you must pick one. Typical for day tours or activities. OPENING_HOURS if you just select a date and can visit any time when the venue is open.

Example: START_TIMEPossible values:
redemptionMethodstring · enumRequired

How the voucher can be redeemed. Possible values are: MANIFEST The guest name will be written down and they just need to show up DIGITAL The tickets/voucher must be scanned but can be on mobile PRINT The tickets/voucher must be printed and presented on arrival

Example: DIGITALPossible values:
get
/products
200

OK

Get Product

Get Product

get

Fetch the product for the given id.

Path parameters
idstringRequired

The product id

Responses
chevron-right
200

OK

application/json

A bookable product listed by a supplier.

idstringRequired

The id used for checking for availability and creating bookings for the product. This MUST be unique within the scope of the Supplier.

Example: 6b903d44-dc24-4ca4-ae71-6bde6c4f4854
internalNamestringRequired

The name the supplier calls the product.

Example: Amazon River Tour
referencestring · nullableRequired

An optional code this supplier might use to identify the product.

Example: AMZN
localestringRequired

A language code indicating what language this product content is in. This MUST be a valid BCP 47 RFC 5646 RFC 4647 language tag.

Example: en-GB
timeZonestringOptional

The IANA TimeZone name this product is located in.

Example: Europe/London
allowFreesalebooleanRequired

Whether a booking can be made for this product without having to query availability first.

instantConfirmationbooleanRequired

Whether bookings will be immediately confirmed when a sale is made, otherwise the supplier will later either accept or reject the booking. When instantConfirmation is set to false one should expect created bookings to first get into a PENDING state.

instantDeliverybooleanRequired

This indicates whether the Reseller can expect immediate delivery of the customer's tickets. If false then the Reseller MUST be able to delay delivery of the tickets to the customer.

availabilityRequiredbooleanRequired

Whether an availabilityId is required when creating a booking. Without this the booking will be open-dated and not have a specified travel date.

availabilityTypestring · enumRequired

What type of availability this product has, possible values are: START_TIME if there are fixed departure times which you must pick one. Typical for day tours or activities. OPENING_HOURS if you just select a date and can visit any time when the venue is open.

Example: START_TIMEPossible values:
redemptionMethodstring · enumRequired

How the voucher can be redeemed. Possible values are: MANIFEST The guest name will be written down and they just need to show up DIGITAL The tickets/voucher must be scanned but can be on mobile PRINT The tickets/voucher must be printed and presented on arrival

Example: DIGITALPossible values:
get
/products/{id}
200

OK

Last updated